public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Anthony G. Basile" <blueness@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-servers/varnish/
Date: Thu, 19 Dec 2019 11:58:46 +0000 (UTC)	[thread overview]
Message-ID: <1576756708.e9c061b806665eef3f673b51cf4840561f8d6bd4.blueness@gentoo> (raw)

commit:     e9c061b806665eef3f673b51cf4840561f8d6bd4
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 19 11:58:28 2019 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Thu Dec 19 11:58:28 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9c061b8

www-servers/varnish: version bump to 6.2.2

Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Anthony G. Basile <blueness <AT> gentoo.org>

 www-servers/varnish/Manifest             |   1 +
 www-servers/varnish/varnish-6.2.2.ebuild | 103 +++++++++++++++++++++++++++++++
 2 files changed, 104 insertions(+)

diff --git a/www-servers/varnish/Manifest b/www-servers/varnish/Manifest
index 7f095e30856..f3997d099a7 100644
--- a/www-servers/varnish/Manifest
+++ b/www-servers/varnish/Manifest
@@ -7,3 +7,4 @@ DIST varnish-6.1.0.tgz 3137149 BLAKE2B 8db1fb3460a25763bd28c92fa8b9181711b497a7d
 DIST varnish-6.1.1.tgz 3135623 BLAKE2B c39904fe2745ab601e7c1f6d85850fe1a83c19e8d80e8af5a60ac5f134817b26b3274ba62c78c3839fd7e6c2da3e58b6c211a7452d37dd864f0f658d500a6138 SHA512 67e546e5fee2d10ec038d7b011a3f61a0a056ce8a4813556526c8fce23bb1fe4e29952a773e6cbc2433c0228971a5e90693d5ce61f6cb5f2242e055e0ce13d18
 DIST varnish-6.2.0.tgz 3207400 BLAKE2B e35a3621fd55eb61da38f39554027575f646d24987c7fe64938da6da40e751bfd87019629d8b475c24b748d80dec213ae4b4bb6d762dcd42dff6fb7785ac8c47 SHA512 fc447c27fbe31ef96c7e5666cd83007467619d012c7587c252da6fc8dc00e9534c790f1558c568f610ef9a61f5a0a61dc367e3723d905dece525dc27ee236376
 DIST varnish-6.2.1.tgz 3207791 BLAKE2B 7c57bd0a120de381473e560c8b6d4e5bae34a435765a4eb7fc9f390e74ca0ca96c1ce1d275abd87cbb6bc36a5b8e48fac04bebbf63f78e51d7db2c29aa8ab1c1 SHA512 57d478a566482a2c58dfb40e44d3f2a799c4d1f62dcb149bb9a5c45ffb681861465eb7847262db2cb139a488d33de099d0221f6b43335b4e68c16f00ed0e4600
+DIST varnish-6.2.2.tgz 3208447 BLAKE2B 051efacf5b956a0f83723e4a0dd69291fa2215378e2c8b7ca653a87f7b10871b323ed0ee9bc1ed4d1602526b882c2a94b981f3b194584c463d6a7fba18055845 SHA512 cc03fd1833b86e74ca275797da5e16b8ce754c7a9d232d5825c876eacc632d7e4edfae0a15e49b36cb551aea1e72a0d054da06433321498a3c74789c545f6c7a

diff --git a/www-servers/varnish/varnish-6.2.2.ebuild b/www-servers/varnish/varnish-6.2.2.ebuild
new file mode 100644
index 00000000000..e5c46f10e7d
--- /dev/null
+++ b/www-servers/varnish/varnish-6.2.2.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python{3_5,3_6,3_7} pypy )
+
+inherit user autotools systemd python-r1
+
+DESCRIPTION="Varnish is a state-of-the-art, high-performance HTTP accelerator"
+HOMEPAGE="https://varnish-cache.org/"
+SRC_URI="http://varnish-cache.org/_downloads/${P}.tgz"
+
+LICENSE="BSD-2 GPL-2"
+SLOT="0/2"
+KEYWORDS="~amd64 ~mips ~ppc ~ppc64 ~x86"
+IUSE="jemalloc jit static-libs"
+
+CDEPEND="
+	sys-libs/readline:0=
+	dev-libs/libpcre[jit?]
+	jemalloc? ( dev-libs/jemalloc )
+	sys-libs/ncurses:0="
+
+#varnish compiles stuff at run time
+RDEPEND="
+	${PYTHON_DEPS}
+	${CDEPEND}
+	sys-devel/gcc"
+
+DEPEND="
+	${CDEPEND}
+	dev-python/docutils
+	dev-python/sphinx
+	virtual/pkgconfig"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RESTRICT="test" #315725
+
+pkg_setup() {
+	ebegin "Creating varnish user and group"
+	enewgroup varnish
+	enewuser varnish -1 -1 /var/lib/varnish varnish
+	eend $?
+}
+
+src_prepare() {
+	# Remove -Werror bug #528354
+	sed -i -e 's/-Werror\([^=]\)/\1/g' configure.ac
+
+	# Upstream doesn't put varnish.m4 in the m4/ directory
+	# We link because the Makefiles look for the file in
+	# the original location
+	ln -sf ../varnish.m4 m4/varnish.m4
+
+	eapply_user
+
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		$(use_enable static-libs static) \
+		$(use_enable jit pcre-jit ) \
+		$(use_with jemalloc)
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+
+	python_replicate_script "${D}/usr/share/varnish/vmodtool.py"
+
+	newinitd "${FILESDIR}"/varnishlog.initd varnishlog
+	newconfd "${FILESDIR}"/varnishlog.confd varnishlog
+
+	newinitd "${FILESDIR}"/varnishncsa.initd varnishncsa
+	newconfd "${FILESDIR}"/varnishncsa.confd varnishncsa
+
+	newinitd "${FILESDIR}"/varnishd.initd-r4 varnishd
+	newconfd "${FILESDIR}"/varnishd.confd-r4 varnishd
+
+	insinto /etc/logrotate.d/
+	newins "${FILESDIR}/varnishd.logrotate-r2" varnishd
+
+	diropts -m750
+
+	keepdir /var/lib/varnish
+	keepdir /var/log/varnish
+
+	systemd_dounit "${FILESDIR}/${PN}d.service"
+
+	insinto /etc/varnish/
+	doins lib/libvmod_std/vmod.vcc
+	doins etc/example.vcl
+
+	dodoc README.rst
+	dodoc doc/changes.rst
+
+	fowners root:varnish /etc/varnish/
+	fowners varnish:varnish /var/lib/varnish/
+	fperms 0750 /var/lib/varnish/ /etc/varnish/
+}


             reply	other threads:[~2019-12-19 11:58 UTC|newest]

Thread overview: 97+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-12-19 11:58 Anthony G. Basile [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-05 17:12 [gentoo-commits] repo/gentoo:master commit in: www-servers/varnish/ Pacho Ramos
2024-06-19 19:43 Arthur Zamarin
2024-06-19 11:58 Sam James
2024-06-19  9:08 Pacho Ramos
2023-10-02 17:16 Hans de Graaff
2023-06-28 13:54 Sam James
2023-06-28  7:19 Sam James
2023-01-06 20:13 Arthur Zamarin
2023-01-06 20:13 Arthur Zamarin
2022-11-24  1:24 Yixun Lan
2022-11-18  4:52 Sam James
2022-11-18  4:52 Sam James
2022-11-09 18:46 John Helmert III
2022-08-14 15:24 Anthony G. Basile
2022-08-14 13:30 Sam James
2022-08-13  6:58 Agostino Sarubbo
2022-08-12 13:14 Anthony G. Basile
2022-07-26 13:43 Anthony G. Basile
2022-07-26  1:36 Sam James
2022-07-26  1:36 Sam James
2022-07-22 17:48 Anthony G. Basile
2022-07-22 15:41 Anthony G. Basile
2022-07-22 15:37 Anthony G. Basile
2022-06-06  9:32 Jakov Smolić
2022-06-06  6:53 Jakov Smolić
2022-05-30 15:20 Anthony G. Basile
2022-05-14 13:13 Anthony G. Basile
2022-05-10 22:57 Andreas K. Hüttel
2022-01-19 18:23 Anthony G. Basile
2021-09-24 17:34 Anthony G. Basile
2021-08-29 11:34 Anthony G. Basile
2021-08-29 10:02 Agostino Sarubbo
2021-08-28  5:36 Agostino Sarubbo
2021-08-24 20:46 Anthony G. Basile
2021-07-16 16:01 Conrad Kostecki
2021-01-10 13:33 Lars Wendler
2020-10-01 23:19 Anthony G. Basile
2020-06-18  2:42 Aaron Bauman
2020-05-07 17:58 Michał Górny
2020-04-26 23:44 Thomas Deutschmann
2020-04-22 14:15 Mikle Kolyada
2020-04-20 15:04 Anthony G. Basile
2020-04-20 15:00 Anthony G. Basile
2020-04-20 14:58 Anthony G. Basile
2020-03-12 11:38 Mikle Kolyada
2020-03-11 15:05 Anthony G. Basile
2020-01-08 17:08 Anthony G. Basile
2019-12-27 14:01 Anthony G. Basile
2019-12-26 17:54 Anthony G. Basile
2019-12-26 17:51 Anthony G. Basile
2019-12-17 17:57 Anthony G. Basile
2019-04-06 13:32 Anthony G. Basile
2019-04-06 13:30 Anthony G. Basile
2018-11-12 18:52 Mikle Kolyada
2018-11-12  1:14 Thomas Deutschmann
2018-10-27 14:26 Anthony G. Basile
2018-10-15 13:53 Anthony G. Basile
2018-10-02 10:53 Thomas Deutschmann
2018-10-02  3:28 Anthony G. Basile
2018-10-02  3:28 Anthony G. Basile
2018-09-12 20:02 Anthony G. Basile
2018-07-23  8:15 Christian Ruppert
2018-03-17 22:50 Anthony G. Basile
2018-03-11 14:24 Anthony G. Basile
2018-02-21  0:55 Anthony G. Basile
2018-02-18  7:52 Anthony G. Basile
2018-02-16 12:22 Anthony G. Basile
2018-02-11 11:36 Michał Górny
2017-09-25  0:35 Anthony G. Basile
2017-08-29 20:42 Thomas Deutschmann
2017-08-25 21:56 Mikle Kolyada
2017-08-02 14:59 Anthony G. Basile
2017-08-02 14:59 Anthony G. Basile
2017-07-15 13:29 Anthony G. Basile
2017-06-25  0:44 Anthony G. Basile
2017-06-25  0:44 Anthony G. Basile
2017-06-11  9:22 Thomas Deutschmann
2017-06-05 22:57 Anthony G. Basile
2017-05-28 11:40 Pacho Ramos
2017-04-30  9:26 Agostino Sarubbo
2017-04-29 17:02 Anthony G. Basile
2017-04-08 14:08 Anthony G. Basile
2017-03-18 17:00 Anthony G. Basile
2017-03-11 15:23 Anthony G. Basile
2017-03-11 15:23 Anthony G. Basile
2017-02-15 15:12 Anthony G. Basile
2016-12-02 10:55 Anthony G. Basile
2016-07-11 10:42 Anthony G. Basile
2016-07-10 18:02 Anthony G. Basile
2016-06-21 19:20 Michał Górny
2016-05-12  8:22 Anthony G. Basile
2016-03-17 19:06 Christian Ruppert
2015-11-03 16:18 Agostino Sarubbo
2015-10-19  9:27 Agostino Sarubbo
2015-10-05  8:16 Anthony G. Basile
2015-10-05  8:16 Anthony G. Basile

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1576756708.e9c061b806665eef3f673b51cf4840561f8d6bd4.blueness@gentoo \
    --to=blueness@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox